<?php 

include 'panel/sesion.php';
include '../url_amigable.php';
include 'concha.php';

$ID = urls_amigables($_GET['ID']);
$a = date(Y);
$m = date(m);
$carpeta = "fotos_usuarios";


if ($rutadom == NULL) {$rutadom = "/home/content/90/7626090/html"; } else {};

$a = date(Y);
$m = date(m);
$carpeta = "fotos_usuarios";
$directorio = "$rutadom/$nombre_carpeta/$carpeta";



if (file_exists($directorio)) {



} else {


mkdir("$rutadom/$nombre_carpeta/$carpeta", 0777);



};



/*



* Copyright (c) 2008 http://www.webmotionuk.com / http://www.webmotionuk.co.uk



* "PHP & Jquery image upload & crop"



* Date: 2008-11-21



* Ver 1.2



* Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.



* Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.



*



* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND



* ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED



* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.



* IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,



* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,



* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS



* INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,



* STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF



* THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.



*



*/


session_start(); //Do not remove this



//only assign a new timestamp if the session variable is empty



if (!isset($_SESSION['random_key']) || strlen($_SESSION['random_key'])==0){

    $_SESSION['random_key'] = strtotime(date('Y-m-d H:i:s')); //assign the timestamp to the session variable
	$_SESSION['user_file_ext']= "";

}


#########################################################################################################



# CONSTANTS																								#



# You can alter the options below																		#



#########################################################################################################



$upload_dir = "$carpeta"; 					// The directory for the images to be saved in
$upload_path = $upload_dir."/";				// The path to where the image will be saved
$large_image_prefix = "resize_"; 			// The prefix name to large image
$thumb_image_prefix = "thumbnail_";			// The prefix name to the thumb image
$large_image_name = $large_image_prefix.$_SESSION['random_key'];     // New name of the large image (append the timestamp to the filename)
$thumb_image_name = $thumb_image_prefix.$_SESSION['random_key'];     // New name of the thumbnail image (append the timestamp to the filename)
$max_file = "3"; 							// Maximum file size in MB
$max_width = "400";							// Max width allowed for the large image
$thumb_width = "400";						// Width of thumbnail image
$thumb_height = "400";						// Height of thumbnail image

// Only one of these image types should be allowed for upload

$allowed_image_types = array('image/pjpeg'=>"jpg",'image/jpeg'=>"jpg",'image/jpg'=>"jpg",'image/png'=>"png",'image/x-png'=>"png",'image/gif'=>"gif");
$allowed_image_ext = array_unique($allowed_image_types); // do not change this
$image_ext = "";	// initialise variable, do not change this.

foreach ($allowed_image_ext as $mime_type => $ext) {

    $image_ext.= strtoupper($ext)." ";
	$keyy = $_SESSION['random_key'];

}

##########################################################################################################



# IMAGE FUNCTIONS																						 #



# You do not need to alter these functions																 #



##########################################################################################################



function resizeImage($image,$width,$height,$scale) {



	list($imagewidth, $imageheight, $imageType) = getimagesize($image);



	$imageType = image_type_to_mime_type($imageType);



	$newImageWidth = ceil($width * $scale);



	$newImageHeight = ceil($height * $scale);



	$newImage = imagecreatetruecolor($newImageWidth,$newImageHeight);



	switch($imageType) {



		case "image/gif":



			$source=imagecreatefromgif($image);



			break;



	    case "image/pjpeg":



		case "image/jpeg":



		case "image/jpg":



			$source=imagecreatefromjpeg($image);



			break;



	    case "image/png":



		case "image/x-png":



			$source=imagecreatefrompng($image);



			break;



  	}



	imagecopyresampled($newImage,$source,0,0,0,0,$newImageWidth,$newImageHeight,$width,$height);







	switch($imageType) {



		case "image/gif":



	  		imagegif($newImage,$image);



			break;



      	case "image/pjpeg":



		case "image/jpeg":



		case "image/jpg":



	  		imagejpeg($newImage,$image,90);



			break;



		case "image/png":



		case "image/x-png":



			imagepng($newImage,$image);



			break;



    }







	chmod($image, 0777);



	return $image;



}



//You do not need to alter these functions



function resizeThumbnailImage($thumb_image_name, $image, $width, $height, $start_width, $start_height, $scale){



	list($imagewidth, $imageheight, $imageType) = getimagesize($image);



	$imageType = image_type_to_mime_type($imageType);







	$newImageWidth = ceil($width * $scale);



	$newImageHeight = ceil($height * $scale);



	$newImage = imagecreatetruecolor($newImageWidth,$newImageHeight);



	switch($imageType) {



		case "image/gif":



			$source=imagecreatefromgif($image);



			break;



	    case "image/pjpeg":



		case "image/jpeg":



		case "image/jpg":



			$source=imagecreatefromjpeg($image);



			break;



	    case "image/png":



		case "image/x-png":



			$source=imagecreatefrompng($image);



			break;



  	}



	imagecopyresampled($newImage,$source,0,0,$start_width,$start_height,$newImageWidth,$newImageHeight,$width,$height);



	switch($imageType) {



		case "image/gif":



	  		imagegif($newImage,$thumb_image_name);



			break;



      	case "image/pjpeg":



		case "image/jpeg":



		case "image/jpg":



	  		imagejpeg($newImage,$thumb_image_name,90);



			break;



		case "image/png":



		case "image/x-png":



			imagepng($newImage,$thumb_image_name);



			break;



    }



	chmod($thumb_image_name, 0777);



	return $thumb_image_name;



}



//You do not need to alter these functions



function getHeight($image) {



	$size = getimagesize($image);



	$height = $size[1];



	return $height;



}



//You do not need to alter these functions



function getWidth($image) {



	$size = getimagesize($image);



	$width = $size[0];



	return $width;



}







//Image Locations



$large_image_location = $upload_path.$large_image_name.$_SESSION['user_file_ext'];



$thumb_image_location = $upload_path.$thumb_image_name.$_SESSION['user_file_ext'];







//Create the upload directory with the right permissions if it doesn't exist



if(!is_dir($upload_dir)){



	mkdir($upload_dir, 0777);



	chmod($upload_dir, 0777);



}







//Check to see if any images with the same name already exist



if (file_exists($large_image_location)){



	if(file_exists($thumb_image_location)){



		$thumb_photo_exists = "<img src=\"".$upload_path.$thumb_image_name.$_SESSION['user_file_ext']."\" alt=\"Thumbnail Image\"/>";



	}else{



		$thumb_photo_exists = "";



	}



   	$large_photo_exists = "<img src=\"".$upload_path.$large_image_name.$_SESSION['user_file_ext']."\" alt=\"Large Image\"/>";



} else {



   	$large_photo_exists = "";



	$thumb_photo_exists = "";



}







if (isset($_POST["upload"])) {



	//Get the file information



	$userfile_name = $_FILES['image']['name'];



	$userfile_tmp = $_FILES['image']['tmp_name'];



	$userfile_size = $_FILES['image']['size'];



	$userfile_type = $_FILES['image']['type'];



	$filename = basename($_FILES['image']['name']);



	$file_ext = strtolower(substr($filename, strrpos($filename, '.') + 1));







	//Only process if the file is a JPG, PNG or GIF and below the allowed limit



	if((!empty($_FILES["image"])) && ($_FILES['image']['error'] == 0)) {







		foreach ($allowed_image_types as $mime_type => $ext) {



			//loop through the specified image types and if they match the extension then break out



			//everything is ok so go and check file size



			if($file_ext==$ext && $userfile_type==$mime_type){



				$error = "";



				break;



			}else{



				$error = "<p>Solo <strong>".$image_ext."</strong> es el formato aceptado para cargar</p>";



			}



		}



		//check if the file size is above the allowed limit



		if ($userfile_size > ($max_file*1048576)) {



			$error.= "<p>Las imágenes no deben ser mayores de ".$max_file."MB de tamaño</p>";

		}

	}else{

		$error= "Ninguna imagen fue seleccionada";

	}



	//Everything is ok, so we can upload the image.



	if (strlen($error)==0){







		if (isset($_FILES['image']['name'])){



			//this file could now has an unknown file extension (we hope it's one of the ones set above!)



			$large_image_location = $large_image_location.".".$file_ext;



			$thumb_image_location = $thumb_image_location.".".$file_ext;







			//put the file ext in the session so we know what file to look for once its uploaded



			$_SESSION['user_file_ext']=".".$file_ext;







			move_uploaded_file($userfile_tmp, $large_image_location);



			chmod($large_image_location, 0777);







			$width = getWidth($large_image_location);



			$height = getHeight($large_image_location);



			//Scale the image if it is greater than the width set above



			if ($width > $max_width){



				$scale = $max_width/$width;



				$uploaded = resizeImage($large_image_location,$width,$height,$scale);



			}else{



				$scale = 1;



				$uploaded = resizeImage($large_image_location,$width,$height,$scale);



			}



			//Delete the thumbnail file so the user can create a new one



			if (file_exists($thumb_image_location)) {



				unlink($thumb_image_location);



			}



		}



		//Refresh the page to show the new uploaded image



	header("location:subir_mas_fotos_persona_primera.php?ID=$ID");



		exit();



	}



}











if (isset($_POST["upload_thumbnail"]) && strlen($large_photo_exists)>0) {



















	//Get the new coordinates to crop the image.



	$x1 = $_POST["x1"];



	$y1 = $_POST["y1"];



	$x2 = $_POST["x2"];



	$y2 = $_POST["y2"];



	$w = $_POST["w"];



	$h = $_POST["h"];



	$texto = $_POST["texto"];



	//Scale the image to the thumb_width set above



	$scale = $thumb_width/$w;



	$cropped = resizeThumbnailImage($thumb_image_location, $large_image_location,$w,$h,$x1,$y1,$scale);



    //Reload the page again to view the thumbnail







header("location:subir_mas_fotos_persona_primera.php?ID=$ID");







	exit();



}



















if ($_GET['a']=="delete" && strlen($_GET['t'])>0){



//get the file locations



	$large_image_location = $upload_path.$large_image_prefix.$_GET['t'];



	$thumb_image_location = $upload_path.$thumb_image_prefix.$_GET['t'];



	if (file_exists($large_image_location)) {



		unlink($large_image_location);



	}



	if (file_exists($thumb_image_location)) {



		unlink($thumb_image_location);



	}



header("location:subir_mas_fotos_persona_primera.php?ID=$ID");



	exit();



}



?>



<!DOCTYPE html>
<html lang="es">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>SUBI TU FOTO</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css" integrity="sha384-/Y6pD6FV/Vv2HJnA6t+vslU6fwYXjCFtcEpHbNJ0lyAFsXTsjBbfaDjzALeQsN6M" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">
    <script type="text/javascript" src="js/jquery-pack.js"></script>
    <script type="text/javascript" src="js/jquery.imgareaselect.min.js"></script>
    
    <style>



        body {

        font-family: 'Poppins', sans-serif;
		  letter-spacing:0.1em;
		  font-size:20px;



            background-color: #000000;

                color: #FFFFFF;



                
        }

        h1, h2 {
            text-transform: uppercase;
            color: #ffc107!important;
            text-shadow: 1px 1px 3px #333;
        }

		body::-webkit-scrollbar {
            width: 0.4em;
        }
        
        body::-webkit-scrollbar-track {
            -webkit-box-shadow: inset 0 0 6px #fff;
        }
        
        body::-webkit-scrollbar-thumb {
          background-color: #FFFF33;
          outline: 1px solid #333333;
        }


        .menu {



            font-size: 15px;



        }



        ;



        .tema {

            
        }

        .btn {
            color: #fcc107 !important;
            border: 1px solid #343a40;
            font-weight: 600;
            background-color: transparent;
        }


        @media screen and (min-width: 1200px) {

            .logo_tam {

                font-size: 25px;

            }





			 .logo_img {

                width: 120px;

            }







        }



        @media screen and (max-width: 1200px) and (min-width: 850px) {

            .logo_tam {

                font-size: 24px;

            }



			 .logo_img {

                width: 110px;

            }







        }





        @media screen and (max-width: 849px) and (min-width: 750px) {



            .logo_tam {

                font-size: 19px;

            }



			 .logo_img {

                width: 100px;

            }





        }



        @media screen and (max-width: 749px) and (min-width: 630px) {



            .logo_tam {

                font-size: 16px;

            }



			 .logo_img {

                width: 100px;

            }





        }



        @media screen and (max-width: 629px) and (min-width: 450px) {







            .logo_tam {

                font-size: 13px;

            }



			 .logo_img {

                width: 100px;

            }





        }



        @media screen and (max-width: 449px) and (min-width: 350px) {



            .logo_tam {

                font-size: 11px;

            }



			 .logo_img {

                width: 70px;

            }





        }




/*============== NAvegador=====================*/

    *{
        /*border-radius: 0!important;*/
        font-family: 'Montserrat', sans-serif;
    }

body {  
    background-color: #111111;
    
}

    nav{
        background-color: #191919;

    }
    .card{
        background-color: #262626;
        border:0.5px solid #191919;
        box-shadow: 1px 1px 8px rgba(0,0,0,0.3);

    }

    .menuBuscador{
        background-color: #191919;




    }

    .list-group, .list-group-item{
        background-color: #262626;

    }

    h1,h2,h3,h4,h5,h6,a,p,span{
        color:#d1d1d1;
        font-family: 'Montserrat', sans-serif;
        color: #d1d1d1;
    }



 .itemFoto::before{
        content:'';
        width: 800px;
     height: 100px;
     transform: rotate(30deg);
     position: absolute;
     left: 0;
     top: 0;
    }
.itemFoto::after{
          content:'';
        width: 800px;
     height: 100px;
    position: absolute;
    right: 0;
    bottom: 0;
     transform: rotate(-30deg);

    }


     @media (max-width: 500px) {
        .displayNoneMenu{
            display:none!important;
        }
    }



    </style>
</head>
<body>
    
<div class="container mt-3 p-3" style="background: #262626;min-height:97vh;">



  <?php



//Only display the javacript if an image has been uploaded

if(strlen($large_photo_exists)>0){



	$current_large_image_width = getWidth($large_image_location);



	$current_large_image_height = getHeight($large_image_location);?>



  <script type="text/javascript">



function preview(img, selection) {



	var scaleX = <?php echo $thumb_width;?> / selection.width;



	var scaleY = <?php echo $thumb_height;?> / selection.height;




	$('#thumbnail + div > img').css({



		width: Math.round(scaleX * <?php echo $current_large_image_width;?>) + 'px',



		height: Math.round(scaleY * <?php echo $current_large_image_height;?>) + 'px',



		marginLeft: '-' + Math.round(scaleX * selection.x1) + 'px',



		marginTop: '-' + Math.round(scaleY * selection.y1) + 'px'



	});



	$('#x1').val(selection.x1);



	$('#y1').val(selection.y1);



	$('#x2').val(selection.x2);



	$('#y2').val(selection.y2);



	$('#w').val(selection.width);



	$('#h').val(selection.height);



}



$(document).ready(function () {



	$('#save_thumb').click(function() {



		var x1 = $('#x1').val();



		var y1 = $('#y1').val();



		var x2 = $('#x2').val();



		var y2 = $('#y2').val();



		var w = $('#w').val();



		var h = $('#h').val();



		if(x1=="" || y1=="" || x2=="" || y2=="" || w=="" || h==""){



			alert("POR FAVOR, SELECCIONE EL AREA QUE DESEA RECORTAR DE LA IMAGEN...");



			return false;



		}else{



			return true;



		}



	});



});







$(window).load(function () {



	$('#thumbnail').imgAreaSelect({ aspectRatio: '1:<?php echo $thumb_height/$thumb_width;?>', onSelectChange: preview });



});







</script>



  <?php }?>

  <?php



//Display error message if there are any



if(strlen($error)>0){



	echo "<ul><li><strong>Error!</strong></li><li>".$error."</li></ul>";



}



if(strlen($large_photo_exists)>0 && strlen($thumb_photo_exists)>0){



	echo $large_photo_exists."&nbsp;".$thumb_photo_exists; ?>

  <p class="Estilo6">¡LA IMAGEN FUE CARGADA CORRECTAMENTE!</p>

  <?


$texto = $_POST['texto'];



?>




  <?


	//Clear the time stamp session and user file extension



	$_SESSION['random_key']= "";



	$_SESSION['user_file_ext']= "";



}else{



		if(strlen($large_photo_exists)>0){
		?>


</div>



<?php


$ext_img = $_SESSION['user_file_ext'];
include 'concha.php';
mysql_connect("$host","$usuario","$contra");
mysql_db_query("$basedatos","UPDATE `articulos` SET `foto` = '$carpeta/$keyy$ext_img' WHERE `articulos`.`ID` = '$ID' LIMIT 1;");


  $ID = '449266174';

  $url = 'https://alexiscaffa.pythonanywhere.com/ihu87ge4TFTj879GJOI4ty5687j0kncf4w52pod09KNIHEKJGIU/tg';
  $url = "$url?id=$ID&m=https://acordesweb.com/micuenta/fotos_usuarios/resize_$keyy$ext_img";

  $contents = file_get_contents($url);

  //If $contents is not a boolean FALSE value.
  if($contents !== false && $contents == 'ok'){
      echo 'Todo bien';
  }
  else {
      echo 'Todo mal';
  }
 

	//Clear the time stamp session and user file extension



	$_SESSION['random_key']= "";



	$_SESSION['user_file_ext']= "";

?>


<h1>IMAGEN CARGADA</h1>
<a class="btn" href="index.php">Volver</a></h1>

    
    
    <img src="https://acordesweb.com/micuenta/fotos_usuarios/resize_<? echo "$keyy$ext_img"; ?>">
    
    


	<?php 	} ?>


<div class="col-12 text-center mt-4">
    
    <h2>GRACIAS POR REGISTRARTE EN ACORDESWEB</h2>
    <p>Te enviamos un e-mail con tus datos de acceso.</p>
    <p>Nos gustaria conocerte, puedes subir tu foto de perfil para compartir con toda la comunidad.</p>
    
    <h3>SUBE UNA IMAGEN</h3>
    
    <form name="photo" enctype="multipart/form-data" action="subir_mas_fotos_persona_primera.php?ID=<?php echo $ID ?>" method="post">
    
        <input name="ID" type="hidden" value="<?php echo $ID ?>" />
        <input name="foto" type="hidden" value="<?php echo $foto ?>" />
    
        <input name="image" type="file" class="form-control" size="30" />
        <input name="upload" type="submit" class="btn btn-block mt-3" value="SUBIR" />
    
    </form>

</div>
<div class="col-12 text-center mt-4">
    <p>O si prefieres puedes ingresar directamente</p>
    <a class="btn" href="login.php">Ingresar</a>
    
</div>
 

<?php } ?>

<!-- Copyright (c) 2008 http://www.webmotionuk.com -->

</div>
</body>
</html>